function ColumnDynamicUI(component) {

	var self = this;
  	/*implementMethods(self, { // self refers to seriesLibrary object
		familyColumn : []
  	});*/

	if (component !== undefined) {
		self.componentContext = component;
	} 
	// self.componentContext.CID = 'columnBar';
    self.componentContext.clicked_id = '';
    self.componentContext.vbiX = VbiXLibrary();
    self.componentContext.vbiCharts = new VbiCharts(self.componentContext);
    self.componentContext.seriesLibrary = new DynamicUI(self.componentContext.vbiCharts);
    self.componentContext.deps = [];

	self.init = function() {
        self.componentContext.vbiX.init(self.componentContext.deps, self._controller);
    };

    self._controller = function() {
        var ViewModel = this;
        self.componentContext.vbiX.initProperties(ViewModel, self.componentContext, propertySchema);
        self.componentContext.properties = ["conditionalformattingcolorpicker","dataseriescolor","seriescolorpickerui","result","measurecolorpair","dispkeytext","chartmeasurechange","measurechange"];
        self.componentContext.properties = self.componentContext.vbiCharts.getPropertiesFromBank(self.componentContext.properties);
        setTimeout(function() {
            self.componentContext.vbiCharts.bindAdditionalPropertiesAng(self.componentContext.properties, self.componentContext.seriesLibrary, self.componentContext);
        }, 750);
    };

}
